/*
 * leds.h
 *
 *  Created on: Apr 28, 2018
 *      Author: wn
 */

#ifndef LEDS_H_
#define LEDS_H_


#include <msp430g2553.h>
#include <stdint.h>
#include "fieldDef.h"


#define ROW_OUT    P1OUT
#define ROW_DIR    P1DIR
#define ROW1       BIT0
#define ROW2       BIT1
#define ROW3       BIT2

#define COL_OUT    P2OUT
#define COL_DIR    P2DIR
#define COL1_RED   BIT0
#define COL2_RED   BIT1
#define COL3_RED   BIT2
#define COL1_GREEN BIT3
#define COL2_GREEN BIT4
#define COL3_GREEN BIT5


void ledsInit();
void ledsShowField(tCellState *field);


#endif /* LEDS_H_ */
